prepair(1)

NAME
prepair - repair GIS polygons

SYNOPSIS
prepair
[--wkt string | -f file | --ogr file] [--robustness] [--minarea AREA] [--isr GRIDSIZE] [--time] [--shpOut]

DESCRIPTION
prepair permits you to easily repair "broken" GIS polygons, and that according to the international standards ISO 19107. In brief, given a polygon stored in WKT, it automatically repairs it and gives you back a valid WKT. Automated repair methods can be considered as interpreting ambiguous or ill-defined polygons and giving a coherent and clearly defined output.

OPTIONS

\FC--wkt\F[] 'POLYGON(0 0, 1 0, 1 1, 0 0)'
    Process polygon from WKT string

\FC-f\F[] infile.txt
    Process polygon from WKT string on the first line of the file

\FC--ogr\F[] infile.shp
    Process first polygon of the input file

\FC--robustness\F[]
    Compute the robustness of the input/output

\FC--setdiff\F[]
    Uses the point set topology paradigm (default: odd-even paradigm)

\FC--minarea\F[] AREA
    Only output polygons larger than AREA

\FC--isr\F[] GRIDSIZE
    Snap round the input before repairing

\FC--time\F[]
    Benchmark the different stages of the process

\FC--shpOut\F[]
    Output a shapefile (\FCout.shp\F[]) instead of a WKT

SEE ALSO
pprepair(1)